Subject: [dhcwg] Comments on draft-ietf-dhc-dhcpv6-lwm2m-bootstrap-options-00

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 15 Nov 2017 01:55:10 +0000

Hi:

I have comments on this draft and most apply to your other draft, draft-nalluri-dhc-dhcpv6-mqtt-config-options. These are mostly nits.

  1.  The title says “DHCPv6 options”, but the document includes both v4 + v6. Perhaps just say “DHCP options”? Or?
  2.  Section 5.1 lists that options can be in Reconfigure ORO. While technically correct, the 3315BIS document deprecates use of ORO in Reconfigure. Thus, depending on when this document and 3315bis comes out, it might be something to reconsidering referencing? But perhaps best to wait to see what happens.
  3.  Section 5.2 states:

   Maximum possible value of DHCPv4 "option-len" is 255.  LWM2M-server-

   certificate MAY be of length more than 255.  To accommodate larger

   certificate, DHCP server SHOULD follow encoding as mentioned in

   [RFC3396<https://tools.ietf.org/html/rfc3396>].

                But, clients must also support RFC 3396 – not just the server.

  1.  You might consider different names for the options as otherwise easy for IANA or others to confused the assigned option numbers (when assigned)? Perhaps use OPTION and OPTION6 prefixes?
  2.  Section 6 has some missing periods at end of sentences.
  3.  Section 7 perhaps change “DHCP” to “DHCPv4”? Perhaps considering using DHCPv4 or DHCPv6 when referring to specific version, “DHCP” for either?
  4.  Section 9 – RFC3315bis has dropped the Delayed Authentication Protocol so it may not be a good idea to references / mention this? You may want to look at RFC3315bis security sections for some text or just point to it? Though trust issues with the URL provided are certainly something to consider.

  *   Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 27 Nov 2017 02:47:15 +0000

Hi Srinivas:

One more issue I forgot to include for draft-nalluri-dhc-dhcpv6-mqtt-config-options was that for the MQTT-topic-prefix, do you need to specify an encoding for this? You just say “topic prefix string”, but is this an ASCII, UTF-8, or some other encoded string? You should be clear about this (perhaps the MQTT specifications state the encoding, but it is useful for those of us not familiar with these specifications, to know what encoding is used).

Thanks.

-          Bernie

From: Bernie Volz (volz)
Sent: Tuesday, November 14, 2017 8:55 PM
To: [email-masked]
Cc: [email-masked]
Subject: Comments on draft-ietf-dhc-dhcpv6-lwm2m-bootstrap-options-00

Hi:

-          Bernie